Loading...
Searching...
No Matches
XrdRmc::Parms Struct Reference

Parameters for a newly created memory cache. More...

`#include <XrdRmc.hh>`

Collaboration diagram for XrdRmc::Parms:

## Public Member Functions

| Parms ()

## Public Attributes

long long | CacheSize
| Size of cache in bytes (default 100MB).
int | Max2Cache
| Largest read to cache (default PageSize).
int | MaxFiles
| Maximum number of files (default 256 or 8K).
short | minPages
| Minimum number of pages (default 256).
int | Options
| Options as defined below (default r/o cache).
int | PageSize
| Size of each page in bytes (default 32KB).
short | Reserve1
| Reserved for future use.
int | Reserve2
| Reserved for future use.

## Detailed Description

Parameters for a newly created memory cache.

Definition at line 100 of file XrdRmc.hh.

## Constructor & Destructor Documentation

## Parms()

XrdRmc::Parms::Parms | ( |  | ) |

inline

Definition at line 110 of file XrdRmc.hh.

: CacheSize(104857600), PageSize(32768),
Max2Cache(0), MaxFiles(0), Options(0),
minPages(0), Reserve1(0), Reserve2(0) {}
XrdRmc::Parms::MaxFiles
int MaxFiles
Maximum number of files (default 256 or 8K).
Definition XrdRmc.hh:104
XrdRmc::Parms::PageSize
int PageSize
Size of each page in bytes (default 32KB).
Definition XrdRmc.hh:102
XrdRmc::Parms::CacheSize
long long CacheSize
Size of cache in bytes (default 100MB).
Definition XrdRmc.hh:101
XrdRmc::Parms::Max2Cache
int Max2Cache
Largest read to cache (default PageSize).
Definition XrdRmc.hh:103
XrdRmc::Parms::Reserve2
int Reserve2
Reserved for future use.
Definition XrdRmc.hh:108
XrdRmc::Parms::Reserve1
short Reserve1
Reserved for future use.
Definition XrdRmc.hh:107
XrdRmc::Parms::minPages
short minPages
Minimum number of pages (default 256).
Definition XrdRmc.hh:106
XrdRmc::Parms::Options
int Options
Options as defined below (default r/o cache).
Definition XrdRmc.hh:105

References CacheSize, Max2Cache, MaxFiles, minPages, Options, PageSize, Reserve1, and Reserve2.

## Member Data Documentation

## CacheSize

long long XrdRmc::Parms::CacheSize

Size of cache in bytes (default 100MB).

Definition at line 101 of file XrdRmc.hh.

Referenced by Parms(), and XrdRmcReal::XrdRmcReal().

## Max2Cache

int XrdRmc::Parms::Max2Cache

Largest read to cache (default PageSize).

Definition at line 103 of file XrdRmc.hh.

Referenced by Parms(), and XrdRmcReal::XrdRmcReal().

## MaxFiles

int XrdRmc::Parms::MaxFiles

Maximum number of files (default 256 or 8K).

Definition at line 104 of file XrdRmc.hh.

Referenced by Parms(), and XrdRmcReal::XrdRmcReal().

## minPages

short XrdRmc::Parms::minPages

Minimum number of pages (default 256).

Definition at line 106 of file XrdRmc.hh.

Referenced by Parms(), and XrdRmcReal::XrdRmcReal().

## Options

int XrdRmc::Parms::Options

Options as defined below (default r/o cache).

Definition at line 105 of file XrdRmc.hh.

Referenced by Parms(), and XrdRmcReal::XrdRmcReal().

## PageSize

int XrdRmc::Parms::PageSize

Size of each page in bytes (default 32KB).

Definition at line 102 of file XrdRmc.hh.

Referenced by Parms(), and XrdRmcReal::XrdRmcReal().

## Reserve1

short XrdRmc::Parms::Reserve1

Reserved for future use.

Definition at line 107 of file XrdRmc.hh.

Referenced by Parms().

## Reserve2

int XrdRmc::Parms::Reserve2

Reserved for future use.

Definition at line 108 of file XrdRmc.hh.

Referenced by Parms().

The documentation for this struct was generated from the following file:

- XrdRmc.hh